Add javax.inject dependency for 4.13 support 71/3371/2
authorTuukka Lehtonen <tuukka.lehtonen@semantum.fi>
Thu, 16 Jan 2020 10:49:18 +0000 (12:49 +0200)
committerTuukka Lehtonen <tuukka.lehtonen@semantum.fi>
Thu, 16 Jan 2020 10:49:18 +0000 (12:49 +0200)
commitfa79e44b99598ca90af6266ecb354c42ef524b0a
tree5514f23ad62e99fbc6e84c0c9c92bd7ecb51391b
parentb986319b03afb66cd4206338e0a424e937fd6fcf
Add javax.inject dependency for 4.13 support

After eclipse 4.13 org.eclipse.core.runtime no longer re-exports
javax.inject, which means annotations like javax.inject.Inject and
javax.inject.Named must be imported by importing the javax.inject
package explicitly in bundles that use it.

This change also works with the old 4.7 Eclipse.

gitlab #405

Change-Id: I752e97570ea4917633dd655e1c6b59d98751db87
bundles/org.simantics.debug.browser.ui/META-INF/MANIFEST.MF
bundles/org.simantics.diagram/META-INF/MANIFEST.MF
bundles/org.simantics.modeling.ui/META-INF/MANIFEST.MF
bundles/org.simantics.simulation.ui/META-INF/MANIFEST.MF
bundles/org.simantics.ui/META-INF/MANIFEST.MF
bundles/org.simantics.workbench/META-INF/MANIFEST.MF